oracle_enhanced 1.1.9 released

7 views
Skip to first unread message

Raimonds Simanovskis

unread,
Jan 2, 2009, 12:33:30 PM1/2/09
to Oracle enhanced adapter for ActiveRecord
Today I released oracle_enhanced version 1.1.9 with some enhancements
and bug fixes:

* Enhancements
* Added support for table and column comments in migrations
* Added support for specifying sequence start values
* Added :privilege option (e.g. :SYSDBA) to
ActiveRecord::Base.establish_connection
* Bug fixes:
* Do not mark empty decimals, strings and texts (stored as NULL in
database) as changed when reassigning them (starting from Rails 2.1)
* Create booleans as VARCHAR2(1) columns if
emulate_booleans_from_strings is true

In addition I moved all usage descriptions from README.txt file to
GitHub wiki pages (http://github.com/rsim/oracle-enhanced/wikis) and
added there also some additional content.

Please comment if you have some suggestion for additional content in
wiki pages.

Raimonds

Foliosus

unread,
Jan 3, 2009, 10:28:54 AM1/3/09
to Oracle enhanced adapter for ActiveRecord
Hi Rai,

Thanks for for all of your hard work on the oracle_enhanced adapter. I
know that many of us out here really appreciate it. :)

Brent

On Jan 2, 9:33 am, Raimonds Simanovskis

Raimonds Simanovskis

unread,
Jan 3, 2009, 2:04:23 PM1/3/09
to Oracle enhanced adapter for ActiveRecord
Thanks, Brent :) All new features are mainly extractions from our
company projects where we are using Rails and Oracle so we just share
what we were paid for already. So if anyone has made some patches in
your projects then please share them as well so that I could try to
include them in next versions of oracle_enhanced adapter.

But I found out that I was a little bit in hurry when releasing the
new version and did not include new files in Manifest.txt file which
is used to build gem file and as a result active_record/
connection_adapters/oracle_enhanced_dirty.rb file was missing from gem
file.

Now I fixed the issue and re-released gem - so if you installed the
wrong initial version then please reinstall it with "gem install".

Raimonds

Robert

unread,
Jan 4, 2009, 4:42:42 AM1/4/09
to Oracle enhanced adapter for ActiveRecord
Thanks for putting so much effort in it, Raimonds!

On 3 Jan., 20:04, Raimonds Simanovskis
Reply all
Reply to author
Forward
0 new messages